## dpkg 0.6.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: dpkg
 Title: Create, Stow, and Read Data Packages
-Version: 0.6.0
+Version: 0.6.1
 Authors@R: 
     person("Cole", "Brokamp", , "cole@colebrokamp.com", role = c("aut", "cre", "cph"),
            comment = c(ORCID = "0000-0002-0289-3151"))
@@ -16,8 +16,8 @@
 BugReports: https://github.com/cole-brokamp/dpkg/issues
 Imports: arrow, cli, fs, glue, httr2, rlang, tibble
 NeedsCompilation: no
-Packaged: 2024-10-31 21:35:51 UTC; cole
+Packaged: 2025-01-08 21:04:25 UTC; cole
 Author: Cole Brokamp [aut, cre, cph] (<https://orcid.org/0000-0002-0289-3151>)
 Maintainer: Cole Brokamp <cole@colebrokamp.com>
 Repository: CRAN
-Date/Publication: 2024-11-04 12:40:09 UTC
+Date/Publication: 2025-01-08 21:30:07 UTC
