## dpkg 0.6.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: dpkg
 Title: Create, Stow, and Read Data Packages
-Version: 0.6.1
+Version: 0.6.2
 Authors@R: 
     person("Cole", "Brokamp", , "cole@colebrokamp.com", role = c("aut", "cre", "cph"),
            comment = c(ORCID = "0000-0002-0289-3151"))
@@ -8,16 +8,18 @@
 License: MIT + file LICENSE
 Encoding: UTF-8
 RoxygenNote: 7.3.2
-Suggests: dplyr, geoarrow, gert, gh, sf, testthat (>= 3.0.0), usethis,
-        withr
+Depends: R (>= 4.1.0)
+Suggests: dplyr, digest, geoarrow, gert, gh, sf, testthat (>= 3.0.0),
+        usethis, withr
 Config/testthat/edition: 3
 URL: https://github.com/cole-brokamp/dpkg,
         https://cole-brokamp.github.io/dpkg/
 BugReports: https://github.com/cole-brokamp/dpkg/issues
 Imports: arrow, cli, fs, glue, httr2, rlang, tibble
 NeedsCompilation: no
-Packaged: 2025-01-08 21:04:25 UTC; cole
-Author: Cole Brokamp [aut, cre, cph] (<https://orcid.org/0000-0002-0289-3151>)
+Packaged: 2026-01-23 18:53:20 UTC; cole
+Author: Cole Brokamp [aut, cre, cph] (ORCID:
+    <https://orcid.org/0000-0002-0289-3151>)
 Maintainer: Cole Brokamp <cole@colebrokamp.com>
 Repository: CRAN
-Date/Publication: 2025-01-08 21:30:07 UTC
+Date/Publication: 2026-01-23 19:30:02 UTC
