## dpkg 1.4.0.5

=== debian/changelog ===
dpkg (1.4.0.5) stable frozen unstable; urgency=medium

  * Distribution for frozen too.

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Thu, 5 Dec 1996 09:13:42 +0100

dpkg (1.4.0.4) stable unstable; urgency=medium

  * Bug2962 fixed: patch from Ian Jackson applied
    (cursor keys won't work after search)
  * Manuals 2.1.2.2

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Fri, 15 Nov 1996 20:21:18 +0100

dpkg (1.4.0.3) unstable; urgency=medium

  * dpkg-source -x: created bad permissions (set x-bit for
    all files pointed to by a symlink)

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Fri, 18 Oct 1996 18:32:06 +0200

dpkg (1.4.0.2) unstable; urgency=medium

  * dpkg-buildpackage.sh: reverted the quoting change -- (you
    should use super, sudo, realy, but not su.  Or write a wrapper
    around su)
  * dpkg-buildpackge.sh: passing -m, -C, -v options to dpkg-genchanges
    more the way Ian likes ;-)
  * dpkg-source.pl: new function deoctify() as replacement for eval()
    (turn \ddd into the corresponding character) [rem: probably better
    solution would be to convert cpios output names into complete \ddd 
    representation as well tars output names] 
  * dpkg-source.pl: fixed 2 typos in failure message on creating 
    $origtargz.tmp-nest.
  * main/main.c: typo `tread' -> `treat'
  * main/enquiry.c: fixed the ignorance for some relations in --compare-versions
  * main/enquiry.c: missing version is now handled as described in `dpkg --help'
    (or at least as I understood `dpkg --help' PLEASE TRY IT)
  * lib/parsehelp.c: fixed parsing of epoch information

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Sun, 6 Oct 1996 23:27:47 +0200

dpkg (1.4.0.1) unstable; urgency=medium

  * dpkg-source: doesn't get screwed up from hardlinks
    in the archive now
  * dpkg-source: doesn't get screwed up from `unprintable' characters
    in file names (e.g. from the kbd package) 
  * controllib.pl: $varlistvile -> $varlistfile (thanx Karl Sackett)
  * dpkg-buildpackge: quoting for $rootcommand (thanx  Michael Meskes)
    and `eval' as default $rootcommand
  * dpkg-*, controllib.pl: created debian/files and debian/substvars
    are chown'ed to `getlogin()' and its group
  * doc/: mv changed to mv -f
  * dpkg-buildpackage: added an option -a for overriding the
    architecture in the changes _file_name_
  * dpkg-buildpackage: pass -m* -v* .. options to dpgk-genchangelog
  * dpkg-name moved to dpkg-dev

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Sat, 21 Sep 1996 22:06:01 +0200

dpkg (1.4.0) unstable; urgency=low (HIGH for new source format)

  * Corrected buffer overrun when dpkg-deb generates filename.  (Bug#4467.)
  * dpkg-shlibdeps works with DEBIAN/shlibs (thanks Heiko Schlittermann).
  * Added libm.so.5 to shlibs.default for i386/m68k.

  * Split binary package into two: dpkg and dpkg-dev.
  * dpkg-source(1) documents mode and ownership setting during extraction.

  * dpkg-scanpackages moved to /usr/bin.
  * Include /usr/bin/dpkg-deb, not dpkg-deb.dist; don't rename in scripts.
  * Copyright file changed slightly.
  * debian-changelog-mode uses magic key substitution strings.  (Bug#4419.)
  * Changed email address in control file to <ian@chiark.greenend.org.uk>.
  * Manuals and own Standards-Version: updated to 2.1.1.0.

 -- Ian Jackson <ian@chiark.greenend.org.uk>  Thu, 12 Sep 1996 01:13:33 +0100

dpkg (1.3.14) unstable; urgency=low

  * dpkg-buildpackage new -tc (clean source tree) option.

  * Formatted documentation removed by `make clean' and so not in source.
  * Manuals and own Standards-Version: updated to 2.1.0.0.
  * Distribute {policy,programmer}.{html.tar,ps}.gz with each upload.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Sun, 1 Sep 1996 20:43:40 +0100

dpkg (1.3.13) unstable; urgency=low (HIGH for building new src X programs)

  * X shared libraries added to shlibs.default (=> `elf-x11r6lib').
  * dpkg-source tar invocation fixed so that TAPE env var doesn't break it.
  * dpkg-source copes better with missing final newline messages from diff.

  * dpkg-buildpackage usage message fixed: -si is the default.  (Bug#4350.)
  * dpkg-source error message about src dir mismatch typo fixed.  (Bug#4349.)

  * dpkg-source(1) has suggestions for dpkg-buildpackage -r option.
  * dpkg-source change date fixed.  (Bug#4351.)
  * More developers' keys.
  * Manual updates, own Standards-Version updated.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Sat, 31 Aug 1996 20:08:18 +0100

dpkg (1.3.12) unstable; urgency=medium

  * dpkg prints old version number when upgrading.  (Bug#4340.)
  * dpkg-deb tries to detect and flag corruption by ASCII download.

  * dpkg-genchanges and dpkg-buildpackage say what source is included.

  * dpkg-buildpackage passes +clearsig=on to PGP (or pgpcommand).  (Bug#4342.)

  * dpkg-source prints better error for cpio not honouring -0t.
  * control file Suggests cpio >= 2.4.2, rather than just cpio.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Fri, 30 Aug 1996 15:31:51 +0100

dpkg (1.3.11) unstable; urgency=low

  * EBUSY when dpkg removes a directory is only a warning.

  * dpkg-genchanges generates sensible warning (not confusing error
    about mismatch) for missing Section/Priority in binary packages.

  * Added dpkg --print-gnu-build-architecture option.
  * shlibs.default for m68k provided, as a copy of i386 version.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Thu, 29 Aug 1996 14:05:02 +0100

dpkg (1.3.10) unstable; urgency=medium

  * dpkg-source(1) manpage alias symlinks are not dangling.
  * dselect selects things by default if they are installed.
  * Added `pentium' as alias for `i386' architecture.
  * Added `Suggests: cpio, patch' and explanatory text to Description.
    (Bugs #4262, #4263.)

  * More developers' PGP keys.
  * Manual updates, new source format released.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Mon, 26 Aug 1996 14:30:44 +0100

dpkg (1.3.9) unstable; urgency=low (high for new source format)


