## dpkg 1.4.0.8

=== debian/changelog ===
dpkg (1.4.0.8) unstable; urgency=medium

  * Corrected update-rc.d for bash 2.0
  * Updated developer-keys.pgp from
    http://www.iki.fi/liw/debian/debian-keyring.tar.gz

 -- Guy Maor <maor@ece.utexas.edu>  Mon, 3 Feb 1997 04:05:01 -0600

dpkg (1.4.0.7) stable unstable; urgency=HIGH

  * Fixed --assert-support-predepends failing between unpack & configure.
  * Added --assert-working-epoch option.

 -- Guy Maor <maor@ece.utexas.edu>  Sat, 25 Jan 1997 23:02:11 -0600

dpkg (1.4.0.6) stable unstable; urgency=high

  * Patched lib/vercmp.c to hopefully fix dselect epoch processing
    (Bug#6204), (Bug#4590).
  * Patched scripts/dpkg-buildpackage, scripts/dpkg-genchanges,
    scripts/dpkg-gencontrol for epoch processing, courtesy of Loic Prylli 
    <lprylli@graville.fdn.fr> (Bug#6138).
  * Patched dpkg-genchanges to actually honor the -u switch to specify
    directory (Bug#5564).
  * Applied patch to main/archive.c to correct problems setting set[gu]id
    binaries, courtesy of Herbert Xu <herbert@greathan.apana.org.au>
    (Bug#5479). 
  * Applied patch to dpkg-source to correct debian-only package names,
    courtesy of Guy Maor <maor@ece.utexas.edu> (Bug#5355).

 -- Michael Alan Dorman <mdorman@calder.med.miami.edu>  Thu, 2 Jan 1997 11:36:09 -0500
