## dpkg 1.4.0.23.2

=== debian/changelog ===
dpkg (1.4.0.23.2) frozen unstable; urgency=low

  * Non-maintainer upload.
  * dpkg/main.c: Turn --force-overwrite back on as default.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Tue, 23 Jun 1998 22:19:26 +0200

dpkg (1.4.0.23.1) frozen unstable; urgency=low

  * No real changes, only a new version code to make this go to frozen too.

 -- Nils Rennebarth <nils@debian.org>  Wed, 10 Jun 1998 17:29:58 +0200

dpkg (1.4.0.23) frozen unstable; urgency=low

  * Non-maintainer bug-fix release
  * Update the disk method to the hamm directory structure (Bug#21000)

 -- Nils Rennebarth <nils@debian.org>  Sun,  7 Jun 1998 19:14:51 +0200

dpkg (1.4.0.22) frozen unstable; urgency=medium

  * Non-maintainer bug-fix release
  * Install main changelog file as `changelog.gz' instead of
    `changelog.dpkg.gz' (Debian Policy, section 5.8) (Bug#6052,15157)
  * Avoid use of /tmp/*.$$ in preinst and postinst (Bug#19712)
  * Make sure diversions file is always created with mode 0644 (Bug#19494)
  * When removing a file, chmod it to 000 if it's a char or block
    device or remove its s[ug]id bits, if any (Bug#6006)
  * Minor fixes in the programmer's manual (Bug#6206)
  * Always create readable status and available files
    (Bug#9869,11887,14636,15786,19146)
  * Make dpkg-gencontrol honour -DArchtecture=xxxx (Bug#9893)
  * Allow different archs for the same binary in debian/files (Bug#9894)
  * Added workaround in /usr/lib/dpkg/methods/disk/setup
    to avoid bash warning (Bug#10111,10131)
  * Recognize old .deb packages with other locales (Bug#12232)
  * Added `SHELL=bash' to debian/rules: it uses bash-specific structs
  * Move some files from dpkg to dpkg-dev (part of Bug#13295)
  * Minor fix in packaging manual regarding to Standards-Version (Bug#14696)
  * Fixed --altdir and --admindir in update-alternatives (Bug#15332)
  * Strip /usr/lib/libdpkg* (Bug#15671)
  * dpkg: send output of --help, --force-help and -Dhelp to stdout
    (Bug#16051,18574)
  * send correct signals with start-stop-daemon (Bug#17258)
  * Make `dpkg-divert --test --remove' work as expected (Bug#19531)
  * Determine properly the architecture if gcc is egcs (Bug#20353)

 -- Juan Cespedes <cespedes@debian.org>  Sun,  5 Apr 1998 17:37:01 +0200

dpkg (1.4.0.21) unstable; urgency=low

  * Non-maintainer release to include a new update-rc.d
  * Fixed date on files in the archive from 2017 and 2018 by running
    touch foo; find . -newer foo | xargs -r touch; rm foo
  * Changed start-stop-deamon message "No <program> found; none killed." to
    "No <program> found running; none killed."

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu,  5 Mar 1998 14:19:46 +0100

dpkg (1.4.0.20) unstable; urgency=low

  * Disabled --force-overwrites.
  * Removed core file from source

 -- Michael Alan Dorman <mdorman@debian.org>  Tue,  9 Jan 2018 03:34:28 -0500

dpkg (1.4.0.19) unstable; urgency=low

  * Changed methods/disk.setup to use output of
    'dpkg --print-installation-architecture' instead of hard-coded 
    '1386' (fixes #10995).
  * Patched dpkg-source to properly quote metacharacters in strings 
    before using them in pattern-matching expressions (fixes #10811).
  * Fixed several documentation typos (fixes #10764).
  * dpkg-source now works around 100-character filename limitation of cpio
    (fixes #10400).
  * dpkg-source now properly handles '\ no newline in source' message from
    patch (fixes #5041).
  
 -- Klee Dienes <klee@debian.org>  Sun, 13 Jul 1997 19:28:22 -0700

dpkg (1.4.0.18) unstable; urgency=low

  * dpkg-source now uses new -z option to GNU patch (still needs to be
    changed to detect and use old version as well) (fixes #9904, #10005, #10007).
  * Added i686 to archtable.
  * shlibs.default now uses xlib6 instead of elf-x11r6lib (fixes #9926).
  * debian-changelog-mode now uses interruptible completing type-in fields
    instead of the previous 'select-a-letter method'.  I consider this
    better and more standard than the previous way, but I'd welcome
    opinions to the contrary.  Consider this a 'probationary' change for
    now (fixes #9873, #9874).

 -- Klee Dienes <klee@debian.org>  Sun, 25 May 1997 09:56:08 -0400

dpkg (1.4.0.17) unstable; urgency=low

  * All of the dpkg binaries (but not dpkg-dev or dselect) now speak
    french, thanks to patches from Christophe Le Bars <clebars@teaser.fr>
  * Fix leading spaces before day in 822-date.
  * Changes from Tom Lees <tom@lpsg.demon.co.uk> to better support
    building on non-Debian systems; minor Makefile fixes.
  * Added 'ppc powerpc powerpc' to archtable.
  * Changed documentation paper size to US/Letter instead of A4 (A4
    may be better, but it's easier to print US/Letter on A4 than it is 
    to print A4 on US/Letter).
  
 -- Klee Dienes <klee@debian.org>  Tue,  13 May 1997 15:24:31 -0400

dpkg (1.4.0.16) experimental; urgency=low

  * Added generated sources to GNU-format source archive so it no longer
    requires perl to build.

 -- Klee Dienes <klee@debian.org>  Sat, 10 May 1997 17:34:29 -0400

dpkg (1.4.0.15) experimental; urgency=low

  * Changed dpkg-genchanges to check for ($arch == $substvar{'Arch'}), not
    ($arch ne 'all') (fixes #9688).
  * Fixed bug in start-stop-daemon.c (was using optarg after argument
    parsing was over) (fixes #9597, #9603, #9364).
  * Provide 50dpkg-dev.el for xemacs as well as emacs.
  * Explicitly provide path for debian-changelog-mode in 50dpkg-dev to use
    .el file as workaround until xemacs can read emacs19 .elc files.
  * Pass top_distdir explicitly to 'make dist' to accomodate bug in
    automake_1.1o-1.
  * Fix debian/build to make html documentation without including
    directories in tar archives (fixes #9348).
  
 -- Klee Dienes <klee@debian.org>  Fri,  9 May 1997 13:17:18 -0400

dpkg (1.4.0.14) experimental; urgency=low

  * Fixed buglet in install-info.pl (fixes #9438).
  * Re-write of update-rc.d.pl, primarily by Miquel van Smoorenburg
    <miquels@cistron.nl> (fixes #9434, #9436).

