=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dpkg
 Section: base
 Priority: required
-Maintainer: Ian Jackson <ian@chiark.greenend.org.uk>
+Maintainer: Klee Dienes and Ian Jackson <dpkg-maint@chiark.greenend.org.uk>
 Standards-Version: 2.1.0.0
 
 Package: dpkg
@@ -23,7 +23,7 @@
 Section: devel
 Priority: important
 Architecture: all
-Recommends: cpio (>= 2.4.2-2), patch
+Recommends: cpio (>= 2.4.2-2), patch (>= 2.2-1), gcc, make
 Conflicts: dpkgname
 Replaces: dpkgname, dpkg (<< 1.4.0)
 Description: Package building tools for Debian Linux
