## dpkg 1.4.0.35

=== debian/changelog ===
dpkg (1.4.0.35) stable; urgency=low

  * Non-maintainer upload.
  * Reverted workaround. Compiling without the options
    --with-included-gettext solves the core-dump problem.

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Wed, 21 Apr 1999 16:33:44 +0200

dpkg (1.4.0.34) frozen; urgency=high

  * Non-maintainer upload
  * Apply workaround for dpkg-deb crashes when LANG, LC_SET is set.

 -- Guy Maor <maor@debian.org>  Tue,  2 Mar 1999 00:50:16 -0800

dpkg (1.4.0.33) frozen; urgency=high

  * Non-maintainer upload
  * WARNING: please don't change the severity of the mentioned bugs to fixed,
    since this upload is NOT going to potato but only to slink
  * Fix illegal perl construct (Bug# 30985)
  * Initialize oialtname->useinstead and oicontest->camefrom to 0 (Bug# 30397)
  * Update shlibs.default for libncurses 4 (Bug# 30332)
  * Suggest debian-keyring instead of developer-keyring (Bug# 27376, 30248)
  * Abort dpkg-divert when attempting to divert a directory (Bug# 30126)
  * Make dpkg-deb.1 aware that it is in section 1, not 8
  * Fix section in reference to dpkg-deb in dpkg.8 (Bug# 29740)
  * Fix typo in --force-help (Bug# 26193)
  * Correct path for debian-changelog-mode.el (Bug# 24606)
  * Make disk-method for dpkg use /var/run instead of /tmp to fix
    symlink-attacks (Bug# 21399)
  * Document -n and -f options for update-rc.d in manpage (Bug# 15913)
  * Add --abort-after option to change after how many errors we abort and
    change the default to 50 (Bug# 22940)
  * Fix controllib.pl: don't check debian/substvars unless needed, and
    don't depend on language settings (Bug# 31508)
  * Allow a - in the architecture-field (Bug# 25537)

 -- Wichert Akkerman <wakkerma@debian.org>  Wed, 20 Jan 1999 00:23:06 +0100

dpkg (1.4.0.32) frozen; urgency=high

  * NMU: (Not uploaded in unstable which has dpkg-1.4.1)
    Apply patch from Jim Pick for update-alternatives.pl to
    fix 'Important' bugs #30891 in dpkg and (#27382, #27383, #27696,
    #27703, #27736, #27097(merged bugs)) in jdk1.1.

 -- Vincent Renardias <vincent@waw.com>  Wed,  6 Jan 1999 15:27:42 +0100

dpkg (1.4.0.31) unstable; urgency=low

  * dpkg/processarc.c: Make newfileslist static like the other arguments
    for register_cleanup's cu_* functions.
  * N-th fix for controllib.pl (simulate old behavior by trying stdin,
    stdout, and stderr for getlogin()).
  * Enable --force-overwrite for slink release, and comment where to do
    so (dpkg/main.c).
  * Recompile against ncurses4.

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 22 Oct 1998 17:37:23 -0400

dpkg (1.4.0.30) unstable; urgency=low

  * dpkg-dev isn't allowed to have a Recommends: debian-keyring (as that's
    in contrib), so it's now lowered to a Suggests: . Thanks to James Troup
    for pointing this out. 

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sat, 26 Sep 1998 13:59:23 +0200

dpkg (1.4.0.29) unstable; urgency=low

  * For now, prefer PGP over GPG.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Tue, 22 Sep 1998 09:38:09 +0200

dpkg (1.4.0.28) unstable; urgency=low

  * Added gpg (GNU Privacy Guard) support:
    * scripts/buildpackage.sh: default to GPG (unless no GPG, but only a PGP
      secret key file is found), as GPG, unlike PGP, is DFSG-free.
    * Updated dpkg-source(1), and added gpg(1) and pgp(1) to the SEE ALSO
      section.
    * Worked around broken textmode implementation in GPG.
    * dpkg-dev now Suggests: gnupg .
  * No longer includes developer-keys.pgp . Instead, dpkg now Suggests: and
    dpkg-dev now Recommends: developer-keyring.
  * Compiled with latest libstdc++ (2.9).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Mon, 21 Sep 1998 13:17:14 +0200

dpkg (1.4.0.27) unstable; urgency=low

  * REALLY fixed dpkg-dev, and new attempt to placate installer on internals.

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 27 Jul 1998 15:58:04 -0400

dpkg (1.4.0.26.0.1) unstable; urgency=low

  * Binary-only upload for x86 and fixed dpkg-dev

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 24 Jul 1998 15:58:04 -0400

dpkg (1.4.0.26) unstable; urgency=low

  * Non-maintainer upload.

  * Make --root work with maintainer scripts (Patch by Scott Barker,
    bugs #4863 and #3170).
  * Fix $(lispdir) bug if compiling without emacs (noticed by Joey Hess).

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 23 Jul 1998 12:02:04 -0400

dpkg (1.4.0.25) unstable; urgency=low

  * Non-maintainer upload.
  
  * Add the requested -nc option to dpkg-buildpackage (Do
    not clean source tree, useful in debugging cycles).
  * controllib.pl: Again by popular acclamation, fix the getlogin() warnings.
    I redirected STDERR onto fd 0 before calling getlogin().
  * tools.m4: Fix display of whether c++ works.
  * dpkg-deb/extract.c: glibc 2.1 and some kernels want to make
    fflush() move the current fpos.  Until someone can fix that,
    protect with seek.
  * Add an extra 0, to dselect/{pkg,meth}keys.cc so it compiles again.
  * Start using lchown() if available.
  * Really fix #20353. (aclocal.m4 was the wrong place; that's a generated
    file.  The correct place is in tl_canon.m4.)

 -- Daniel Jacobowitz <dan@debian.org>  Tue, 21 Jul 1998 03:14:14 -0400

dpkg (1.4.0.24) unstable; urgency=low

  * Non-maintainer upload.

  * dpkg/main.c: Turn --force-overwrite off as default.
  * dpkg/main.c: don't list --force-overwrite as default in --force-help,
    noticed by Peter Weiss <Peter.Weiss@Informatik.Uni-Oldenburg.DE> and
    others. [#23542, part of #17409].
  * dpkg/dpkg.8: replaced with a newer version from Jim Van Zandt
    <jrv@vanzandt.mv.com>. [#21061]

  * dpkg-deb/build.c (do_build): add missing \n and improve error message
    when conffile name is too long. [#7057]

  * scripts/update-alternatives.8: replaced with better man page from
    Charles Briscoe-Smith <cpb4@ukc.ac.uk>. [#17283]
  * scripts/dpkg-source.1: corrected logic error in documentation for
    dpkg-gencontrol's -p option, as noticed by Oliver Elphick

