=== debian/rules ===
--- 
+++ 
@@ -28,12 +28,34 @@
 	$(RM) -r debian/build
 	install -d debian/build
 	cd $(BUILD) && ../../configure \
-		--enable-shared --with-included-gettext \
+		--enable-shared \
 		--prefix=/usr \
 		--datadir=/usr/share \
 		--sysconfdir=/etc \
 		--sharedstatedir=/var/lib \
 		--localstatedir=/var/lib
+# libtool -rpath workaround based on a suggestion by Yann Dirson
+# <dirson@debian.org>
+#
+# It is supposed to be inserted in configure.in, but I didn't want
+# to re-run autoconf (since that bloats the Debian diff unnecessarily),
+# so I just patch libtool after running configure.  -- Richard Braakman
+# <dark@xs4all.nl>
+#
+# The version of libtool included with LessTif unfortunately insists on
+# linking with -rpath, i.e. hardwiring locations. This is not desirable.
+#
+# The dummy define is improbable enough not to conflict with anything; it is
+# just here to fool libtool by making it believe it gave some useful info to
+# gcc.
+	sed < $(BUILD)/libtool > $(BUILD)/libtool.foo \
+		's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/'
+	mv $(BUILD)/libtool.foo $(BUILD)/libtool
+# More hackery: this will also patch the generated libtool to explicitly
+# link libraries against the libraries they depend on.  (particularly libc)
+	sed < $(BUILD)/libtool > $(BUILD)/libtool.foo '/^archive_cmds="/s/"$$/ \\$$deplibs"/'
+	mv $(BUILD)/libtool.foo $(BUILD)/libtool
+	chmod 755 $(BUILD)/libtool
 
 clean: $(BUILD)/Makefile
 	$(checkdir)
@@ -41,6 +63,7 @@
 	$(RM) -r debian/{build,files,substvars,tmp*}
 	$(RM) $(BUILD)/dpkg-*.tar.gz
 	$(RM) po/*.gmo
+	$(RM) config.log
 	find . \( -name '*~' -o -name '#*#' \) -print0 | xargs -r0 $(RM) --
 
 build: $(BUILD)/Makefile
@@ -85,19 +108,19 @@
 		rm debian/tmp-main/usr/man/man1/$$f.1; \
 		ln -s dpkg-source.1.gz debian/tmp-main/usr/man/man1/$$f.1.gz ; \
 	done
+	ln -s ../man7/undocumented.7.gz debian/tmp-main/usr/man/man1/dpkg-divert.1.gz
 	gzip -9vf debian/tmp-main/usr/doc/dpkg/changelog*
 	cp debian/copyright debian/tmp-main/usr/doc/dpkg/copyright
 	cp debian/copyright debian/tmp-dev/usr/doc/dpkg-dev/copyright
 	cp debian/dev-README debian/tmp-dev/usr/doc/dpkg-dev/README
 	set -e; for f in \
- usr/doc/dpkg/{internals.html,developer-keys.pgp,changelog.manuals.gz} \
+ usr/doc/dpkg/{internals.html,changelog.manuals.gz} \
  usr/bin/dpkg-{source,genchanges,gencontrol,shlibdeps,buildpackage,parsechangelog} \
  usr/bin/{dpkg-distaddfile,822-date,dpkg-scanpackages,dpkg-name} \
  usr/man/man1/dpkg-{source,genchanges,gencontrol,shlibdeps,buildpackage}.1.gz \
  usr/man/man1/{dpkg-parsechangelog,dpkg-distaddfile,822-date,dpkg-name}.1.gz \
  usr/man/man5 usr/man/man8/dpkg-scanpackages.8.gz \
  usr/lib/dpkg/parsechangelog usr/lib/dpkg/controllib.pl \
- usr/doc/dpkg/packaging.html \
 		; do mv debian/tmp-main/$$f debian/tmp-dev/$$f; done
 
 binary-indep: binary-trees
@@ -106,7 +129,7 @@
 	chown -R root.root debian/tmp-dev
 	chmod -R g-ws,a+r,u+w debian/tmp-dev
 	dpkg-deb --build debian/tmp-dev ..
-	set -e -x; for f in internals packaging; do \
+	set -e -x; for f in internals; do \
 		if test -f $(BUILD)/doc/$$f.ps; then \
 			cp -p $(BUILD)/doc/$$f.ps $(DIR)/..; \
 		elif test -f $(DIR)/doc/$$f.ps; then \
