## dpkg 1.6.13

=== debian/changelog ===
dpkg (1.6.13) frozen unstable; urgency=low

  * Add Format-flag to .dsc format: we know we are going to change the
    format in the next release, this change will make dpkg-source abort
    with a reasonable error instead of doing unexpected things.
  * Fix error in gettext'ized string
  * Updated Czech, French, Polish and Spanish translations. Closes: Bug#63663
  * debian-changelog-mode.el: fix documentation string for
    debian-changelog-finalise-last. Closes: Bug#63003

 -- Wichert Akkerman <wakkerma@debian.org>  Mon,  8 May 2000 16:08:53 +0200

dpkg (1.6.12.99) frozen unstable; urgency=low

  * Pre-release for 1.6.13. which will only feature translation updates
  * Fix typo in dpkg-divert, Closes: Bug#60243
  * dpkg-genchanges: recognize non-deb packages (tarballs, such as
    dpkg-non-deb and boot-floppies disk tarballs). This makes sure that we
    include them when figuring out the Arch field in the .changes
  * mark another string as translateable, Closes: Bug#62543
  * fix location of --abort-after in --help output, Closes: Bug#62464
  * fix allocation error in checkpath(), Closes: Bug#62364
  * add Hold to list of desired package states in -l output, Closes: Bug#58765

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 21 Apr 2000 11:52:59 +0200

dpkg (1.6.12) frozen unstable; urgency=high

  * Fix test for gpg/pgp in dpkg-buildpackage. You can now build
    unsigned packages again. Closes: Bug#60395
  * Updated Spanish and Swedish translations. Closes: Bug#41735
  * Merge patch from Joel Klecker to remove emacsen-common stuff from dpkg-dev

 -- Wichert Akkerman <wakkerma@debian.org>  Mon,  3 Apr 2000 16:50:02 +0200

dpkg (1.6.11) frozen unstable; urgency=high

  * Oops, missed one case where the libc/ncurses conflict reared its
    ugly head and broke dselect miserably. 
  * fix syntax error in dpkg-divert. Closes: Bug#60050

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 10 Mar 2000 11:52:07 +1100

dpkg (1.6.10) frozen unstable; urgency=low

  * The `it rains in Sydney' release
  * Add evil workaround in dselect to compile with libc/ncurses conflict
  * Mark another string in dselect as translateable, Closes: Bug#58618
  * Fix typos, Closes: Bug#58619
  * Change dselect keybindings slightly so `n' really does searchagain
  * Updated Czech and Spanish translations, Closes: Bug#58617
  * dpkg-divert.pl: reinstate last writeability-patch. Modified
    to not abort on ENOENT: this indicates a directory does not (yet)
    exist. If this happens don't try to rename. This should fix all
    current dpkg-divert problems. Closes: Bug#59207,#58596
  * update-alternatives: switch back to auto-mode when manually selected
    alternative is removed, Closes: Bug#54933
  * dselect no longer segfaults on SIGWINCH but does The Right Thing
    instead. Closes: Bug#54303,#58697,#59419
  * dpkg-buildpackage checks if pgp or gpg are installed and default
    to no signing if they aren't there, Closes: Bug#59573
  * dpkg-shlibdeps: handle "not found" message form ldd, Closes: Bug#59483

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 10 Mar 2000 13:52:42 +1100

dpkg (1.6.9) frozen unstable; urgency=low

  * Fix typo in update-alternatives manpage
  * dpkg-architecture: -q should not imply -f, Closes: Bug#57761
  * Cleanup bits of install-info to make it more stable
  * Fix Build-Dependency for ncurses, Closes: Bug#58073
  * Some more documentation updates, Closes: Bug#57985
  * Revert patch to check for writeable filesystems in dpkg-divert,
    Closes: Bug#57840

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 18 Feb 2000 12:11:58 +0100

dpkg (1.6.8) frozen unstable; urgency=low

  * Turn --force-overwrite on by default
  * Fix a couple of small buildsystem errors
  * Support multiple adjacent newlines in control-style files, Closes: Bug#56056
  * Updated Czech and Swedish translations
  * Revert patch to change order of things when purging a package,
    Closes: Bug#56374
  * Handle failed open of /dev/tty in dpkg -l, Closes: Bug# 55041
  * Update Japanese translations, Closes: Bug# 56641, #57494, #57595
  * Update extended description for dpkg-dev, Closes: Bug# 56675
  * Implement verbose option for update-alternative
  * Fix conflicts handling

 -- Wichert Akkerman <wakkerma@debian.org>  Thu, 10 Feb 2000 15:31:31 +0100

dpkg (1.6.7) frozen unstable; urgency=low

  * dpkg compiles on HP-UX, Solaris and IRIX now
  * start-stop-daemon can chroot now, Closes: Bug#54513
  * Allow space between # and the bugnumber in the changelog
  * Display package description with waddnstr, Closes: Bug#54313
  * Updated Japanese manpages, Closes: Bug#54690, #55080
  * Upload full source for packages with version *-0.1, Closes: Bug#54651

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 16 Jan 2000 18:36:10 +0100

dpkg (1.6.6) unstable; urgency=low

  * dpkg-buildpackage supports debsign, Closes: Bug#58333
  * fix update-alternatives manpage, Closes: Bug#53859
  * Updated Polish translation
  * Pass admindir to dpkg, Closes: Bug#54039
  * Fix dpkg -l output
  * Remove dpkg-safelist again, it had issues

 -- Wichert Akkerman <wakkerma@debian.org>  Fri,  7 Jan 2000 19:51:45 +0100

dpkg (1.6.5) unstable; urgency=low

  * Update Spanish translation
  * Don't strip 8th bit in dselect packagelists, Closes: Bug# 49061
  * Don't use \z in dpkg-scansources, Closes: Bug# 53182
  * Correctly unregister internals manual, Closes: Bug# 53200
  * dselect helpessages can be translated now, Closes: Bug# 51381
  * dselect UI tweaks, including a new --expert mode
  * Added build-depends, Closes: Bug# 53394
  * Added THANKS-file with people who have contributed to the code
  * Use full width of tty in packagelisting, Closes: Bug# 53395
  * Add -z option to dpkg-deb to set compressionlevel when building
    packages, Closes: Bug# 53398
  * Fix segfaults when producing a diff between current and new conffile,
    Closes: Bug# 52197

 -- Wichert Akkerman <wakkerma@debian.org>  Sat, 25 Dec 1999 04:47:09 +0100


