=== debian/control ===
Source: dpkg
Section: base
Priority: required
Maintainer: Wichert Akkerman <wakkerma@debian.org>
Standards-Version: 3.1.0
Build-Depends: debiandoc-sgml, libncurses-dev

Package: dpkg
Architecture: any
Essential: yes
Pre-Depends: ${shlibs:Pre-Depends}
Replaces: dpkg-doc-ja
Description: Package maintenance system for Debian
 This package contains the programs which handle the installation and
 removal of packages on your system.
 .
 The primary interface for the dpkg suite is the `dselect' program;
 a more low-level and less user-friendly interface is available in
 the form of the `dpkg' command.
 .
 In order to unpack and build Debian source packages you will need to
 install the developers' package `dpkg-dev' as well as this one.

Package: dpkg-dev
Section: devel
Priority: important
Architecture: all
Depends: perl5, cpio (>= 2.4.2-2), patch (>= 2.2-1), make
Recommends: c-compiler
Suggests: gnupg, debian-keyring
Conflicts: dpkgname
Replaces: dpkgname, dpkg (<< 1.4.1.8), dpkg-doc-ja
Description: Package building tools for Debian
 This package contains the tools (including dpkg-source) required to
 unpack, build and upload Debian source packages.
 .
 Most Debian source packages will require additional tools to build -
 for example, most packages need the `make' and the C compiler `gcc'.

Package: dpkg-doc
Section: doc
Priority: extra
Architecture: all
Replaces: dpkg-dev (<<1.4.1.19)
Description: Dpkg Internals Documentation
 This document describes the internal operations of the dpkg program. It
 covers building aswell as the internals functions. If you are interested
 in creating your own packages, then you may be more interested in the
 packaging-manual documentation package.
