## dpkg 1.6.14

=== debian/changelog ===
dpkg (1.6.14) frozen unstable; urgency=low

  * Fix polish translation for dselect. Closes: Bug#63986
  * Add Italian translation
  * Update Swedish translation
  * Update Japanese translate for update-alternatives.8. Closes: Bug#64172
  * Fix some errors in the English version of update-alternatives.8 that
    our Japanese friends found as well.

 -- Wichert Akkerman <wakkerma@debian.org>  Tue, 20 Jun 2000 17:11:13 +0200
